<?
function fechachr($fecha) {
   $fecha = getdate(time());
   $adia = array("Lunes","Martes","Miercoles","Jueves","Viernes","Sabado","Domingo");
   $cdia = $adia[$fecha["wday"]-1];
   $ndia = $fecha["mday"];
   $ames = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Setiembre","Octubre","Noviembre","Diciembre");
   $cmes = $ames[$fecha["mon"]-1];
   $anio = $fecha["year"];
   $cfecha = "$cdia, $ndia de $cmes del $anio";
   return $cfecha;
}

function fechahoy() {
   $fecha = getdate(time());
   $adia = array("Lunes","Martes","Miercoles","Jueves","Viernes","Sabado","Domingo");
   $cdia = $adia[$fecha["wday"]-1];
   $ndia = $fecha["mday"];
   $ames = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Setiembre","Octubre","Noviembre","Diciembre");
   $cmes = $ames[$fecha["mon"]-1];
   $anio = $fecha["year"];
   $cfecha = "$cdia, $ndia de $cmes del $anio";
   return $cfecha;
}

function Horahoy() {
   $hora =  getdate(time());
   $horas = $hora("h:i:s a");
   return $horas;
}
function meshoy($fecha) {
   $fecha = getdate(time());   
   $ames = array("ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SETIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
   $cmes = $ames[$fecha["mon"]-1];   
   $cfecha = "$cmes";
   return $cfecha;
}

function meshoy2($num) {
   $ames = array("ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SETIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
   $cmes = $ames[$num-1];   
   $cfecha = "$cmes";
   return $cfecha;
}
function getNumCeros($nNum)
  {
    $Num="0000000".$nNum;
    $PosiIni=(strlen($Num)-7);
    return substr($Num,$PosiIni,7);
  }  
function extraerfechamysql($f)
  {
    $fech=substr($f,6,4)."-".substr($f,3,2)."-".substr($f,0,2);
	return $fech;
  } 
  function extraerfechanormal($f)
  {
    $fech=substr($f,8,2)."/".substr($f,5,2)."/".substr($f,0,4);
	return $fech;
  } 
function extraermeshoy($f)
  {
    $fech=substr($f,3,2);
	return $fech;
  } 
function extraeraniohoy($f)
  {
    $fech=substr($f,6,4);
	return $fech;
  }
 function extraerdiahoy($f)
  {
    $fech=substr($f,0,2);
	return $fech;
  }
 function extraerdias($f)
  {
    $fech=substr($f,8,2);
	return $fech;
  }
function getNumCero($nNum)
  {
    $Num="00000".$nNum;
    $PosiIni=(strlen($Num)-5);
    return substr($Num,$PosiIni,5);
  }  
 function exEdadMysql($f){
 			$mesact = date("m");
			$anioact = date("Y");
			$mess = substr($f,5,2);
			$anioo = substr($f,0,4);
			if ($mess<$mesact){
					$edad= $anioact - $anioo -1;
			  }
            else{
				$edad= $anioact - $anioo;
				 }
		  return $edad;
		  }  
  function DevolverNClinicos($docid){
			$sql="Select top 1 laboratorio.cod_lab from laboratorio where doc_id='$docid'";
			$this->BDConsulta($sql);
			if($fila=$this->NextRow($sql)){
			 $totalExaCli = $fila[0];		 
			 }
			 else{
			 $totalExaCli = "No Dió Exámen Clínico";
				  }
			 return $totalExaCli;
			 }

?>
